<?php
// Define some constants
define( "RECIPIENT_NAME", "BigHugGym Šamorín" );
define( "RECIPIENT_EMAIL", "samorin@bighuggym.sk" );
define( "EMAIL_SUBJECT", "Thank you for booking a Birthday Party at BHG Šamorín" );

// Read the form values
$success = false;
$senderName = isset( $_POST['senderName'] ) ? preg_replace( "/[^\.\-\' a-zA-Z0-9]/", "", $_POST['senderName'] ) : "";
$senderEmail = isset( $_POST['senderEmail'] ) ? preg_replace( "/[^\.\-\_\@a-zA-Z0-9]/", "", $_POST['senderEmail'] ) : "";
$message = isset( $_POST['message'] ) ? preg_replace( "/(From:|To:|BCC:|CC:|Subject:|Content-Type:)/", "", $_POST['message'] ) : "";

function returnDateTime($date){
$selectedDate = explode('/',$date); 
echo 'day: '.$selectedDate[0].' month: '.$selectedDate[1].' year: '.$selectedDate[2];
}

$msgCust =   '
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <title>email</title>
</head>
<body>
             Thank you for contacting BigHugGym. Our staff will contact you shortly to confirm your reservation, as requested.<br />
              Date, the party was reserved on(D/M/Y):<br />
              '.$_POST['bdayPartyDate'].'<br />
              Timeframe, the party was reserved at:<br />
              '.$_POST['prefMenuTime'].'<br /> 
              A team member will contact you as soon as possible to confirm the further details.<br />  
              Please feel free to contact us directly by calling +421 948 629 464 or visit our website for more information at samorin.bighuggym.sk.<br />
              <br />
              We look forward to meeting you soon.<br /> 
              <br />
          <span style="color: #8f9188">Sincerely, BigHugGym Team</span><br />
          <br />
          <img src="http://www.bighuggym.com/img/logo.png" alt="BigHugGym logo" />
          <br /><br />
          <span style="color: #2efff3; font-weight:bold">BigHugGym</span><br />
          <span style="color: #8f9188">Dubová 33, 931 01 Šamorín-Čilistov</span><br />
          <span style="color: blue">+421 948 629 464</span><br />
          <br />
          <a href="http://samorin.bighuggym.com">samorin.bighuggym.com</a><br />
          <a href="mailto:samorin@bighuggym.sk">samorin@bighuggym.sk</a><br />
          <a href="https://www.facebook.com/BigHugGymSamorin">www.facebook.com/BigHugGym</a><br />
          <a href="https://twitter.com/BHG_Samorin">twitter.com/bighuggym</a><br />
          <br />
          <br />
          <img style="display: inline" src="http://www.bighuggym.com/img/palm_tree.jpg" alt="Palm Tree" /><br />
          <span style="color:green">please consider the nature before printing this email</span>                 
</body>
</html>
';

$msg = '
  <html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <title>email</title>
</head>
<body>
  Contact:<br />
  <p>
  First Name: '.$_POST['senderName'].'<br />
  Last Name: '.$_POST['senderLastName'].'<br />
  E-mail: '.$_POST['senderEmail'].'<br />
  Phone: '.$_POST['senderPhone'].'<br />
  </p>
  <p>
  Adress: '.$_POST['senderAddress'].'<br /> 
  City: '.$_POST['senderCity'].'<br />
  State: '.$_POST['senderState'].'<br />
  Zip: '.$_POST['senderZip'].'<br />
  </p>
  <p>
  First Child:<br /> 
  Name: '.$_POST['firstName'].'<br />
  Date of birth: '.$_POST['firstDay'].'/'.$_POST['firstMonth'].'/'.$_POST['firstYear'].'<br />
  </p>
  <p>
  Party specification: <br /> 
  Already a member: '.$_POST['memberOf'].'<br />  
  Number of invited guests: '.$_POST['nOfGuests'].'<br />  
  Date of party: '.$_POST['bdayPartyDate'].'<br />  
  Selected time: '.$_POST['prefMenuTime'].'<br />
  </p>
  <p>
  Message: '.$_POST['message'].'<br /><br />
</body>
</html>
';
// If all values exist, send the email
if ( $senderName && $senderEmail ) { //&& $message
  //$recipient = RECIPIENT_NAME . " <" . RECIPIENT_EMAIL . ">";
  $headers  = 'MIME-Version: 1.0' . "\r\n";
  $headers .= 'Content-type: text/html; charset=utf-8' . "\r\n"; //dafuq!!!
	//$headers .= 'Content-Transfer-Encoding: quoted-printable'. "\r\n";
	$headers_ = 'Content-Transfer-Encoding: base64' . "\r\n";   
  $headers .= 'From: ' . RECIPIENT_EMAIL . "\r\n";
  $headers .= 'Reply-To: ' . RECIPIENT_EMAIL . "\r\n";
  mail( RECIPIENT_EMAIL , 'BHG Samorin EN - form - Birthday party', $msg, $headers );
  $success = mail($senderEmail, '=?UTF-8?B?'.base64_encode(EMAIL_SUBJECT).'?=', base64_encode($msgCust), $headers.$headers_);
}

// Return an appropriate response to the browser
if ( isset($_GET["ajax"]) ) {
  echo $success ? "success" : "error";
} else {
?>
<html>
  <head>
    <title>Thanks!</title>
  </head>
  <body>
  <?php if ( $success ) echo "<p>Thanks for sending your message! We'll get back to you shortly.</p>" ?>
  <?php if ( !$success ) echo "<p>There was a problem sending your message. Please, try again.</p>" ?>
  </body>
</html>
<?php
}
?>