<?php
// Define some constants
define( "RECIPIENT_NAME", "BigHugGym Šamorín" );
define( "RECIPIENT_EMAIL", "samorin@bighuggym.sk" );
define( "EMAIL_SUBJECT", "Thank you for your interest in an Enrollment - BHG Šamorín" );

// Read the form values
$success = false;
$senderName = isset( $_POST['senderName'] ) ? preg_replace( "/[^\.\-\' a-zA-Z0-9]/", "", $_POST['senderName'] ) : "";
$senderEmail = isset( $_POST['senderEmail'] ) ? preg_replace( "/[^\.\-\_\@a-zA-Z0-9]/", "", $_POST['senderEmail'] ) : "";

$message = isset( $_POST['message'] ) ? preg_replace( "/(From:|To:|BCC:|CC:|Subject:|Content-Type:)/", "", $_POST['message'] ) : "";
$message = '<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <title>email</title>
</head>
<body>          
Message: '.$message.'<br />
Name: '.$senderName .'<br />
Email: '.$senderEmail.'<br />      
</body>
</html>      
';

$msg =   '
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <title>email</title>
</head>
<body>          
          Thank you for contacting BigHugGym. A team member will contact you as soon as possible to schedule the gym classes for your child.<br /> 
          Please feel free to contact us directly by calling +421 948 629 464 or visit our website for more information at samorin.bighuggym.sk.<br />
          <br />
          We look forward to meeting you soon.<br /> 
          <br />
          <span style="color: #8f9188">Sincerely, BigHugGym Team</span><br />
          <br />
          <img src="http://www.bighuggym.com/img/logo.png" alt="BigHugGym logo" />
          <br /><br />
          <span style="color: #2efff3; font-weight:bold">BigHugGym</span><br />
          <span style="color: #8f9188">Dubová 33, 931 01 Šamorín-Čilistov</span><br />
          <span style="color: blue">+421 948 629 464</span><br />
          <br />
          <a href="http://samorin.bighuggym.com">samorin.bighuggym.com</a><br />
          <a href="mailto:samorin@bighuggym.sk">samorin@bighuggym.sk</a><br />
          <a href="https://www.facebook.com/BigHugGymSamorin">www.facebook.com/BigHugGym</a><br />
          <a href="https://twitter.com/BHG_Samorin">twitter.com/bighuggym</a><br />
          <br />
          <br />
          <img style="display: inline" src="http://www.bighuggym.com/img/palm_tree.jpg" alt="Palm Tree" /><br />
          <span style="color:green">please consider the nature before printing this email</span>                 
</body>
</html>
';


// If all values exist, send the email
if ( $senderName && $senderEmail && $message ) {
  //$recipient = RECIPIENT_NAME . " <" . RECIPIENT_EMAIL . ">";
  $headers  = 'MIME-Version: 1.0' . "\r\n";
  $headers .= 'Content-type: text/html; charset=utf-8' . "\r\n";  
  $headers .= 'From: ' . RECIPIENT_EMAIL . "\r\n";
  $headers .= 'Reply-To: ' . RECIPIENT_EMAIL . "\r\n";
  mail( RECIPIENT_EMAIL, 'BHG Samorin EN - form - Enrolment', $message, $headers );  //bighuggym
  $success = mail( $senderEmail, EMAIL_SUBJECT, $msg, $headers );               //zakaznikovi
}

// Return an appropriate response to the browser
if ( isset($_GET["ajax"]) ) {
  echo $success ? "success" : "error";
} else {
?>
<html>
  <head>
    <title>Thanks!</title>
  </head>
  <body>
  <?php if ( $success ) echo "<p>Thanks for sending your message! We'll get back to you shortly.</p>" ?>
  <?php if ( !$success ) echo "<p>There was a problem sending your message. Please, try again.</p>" ?>
  </body>
</html>
<?php
}
?>